Bug 175696 - [PATCH] japanese/py-mecab: update to 0.995 and etc.
Summary: [PATCH] japanese/py-mecab: update to 0.995 and etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-30 10:20 UTC by Yasuhiro Kimura
Modified: 2013-03-20 15:13 UTC (History)
0 users

See Also:


Attachments
patch-ja-py-mecab (1.64 KB, text/plain)
2013-01-30 10:20 UTC, Yasuhiro Kimura
no flags Details
patch-ja-py-mecab (1.65 KB, text/plain; charset=Shift_JIS)
2013-02-17 05:59 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2013-01-30 10:20:01 UTC
	- Update to 0.995.
	- Add licnese information.
	- Update WWW URL.
	- Trim makefile header.

	Please keep in mind this patch should be commited after ports/175258 is commited.
Comment 1 Edwin Groothuis freebsd_committer 2013-01-30 10:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-30 10:20:20 UTC
Maintainer of japanese/py-mecab,

Please note that PR ports/175696 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175696

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-01-30 10:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 jun-g 2013-01-30 12:34:38 UTC
I approved.
Please commit it, thanks.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-01-30 20:33:51 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Yasuhiro Kimura freebsd_committer 2013-02-17 05:59:52 UTC
Some cosmetic change are made. So please commit attached patch instead
of original one.

Regards.
Comment 7 dfilter service freebsd_committer 2013-03-20 12:42:45 UTC
Author: tota
Date: Wed Mar 20 12:42:31 2013
New Revision: 314728
URL: http://svnweb.freebsd.org/changeset/ports/314728

Log:
  - Update to 0.995
  - Add LICENSE section
  - Trim Makefile header
  - Trim WWW: line in pkg-descr
  - Update WWW: line in pkg-descr
  
  PR:		ports/175696 (based on)
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>

Modified:
  head/japanese/py-mecab/Makefile
  head/japanese/py-mecab/distinfo
  head/japanese/py-mecab/pkg-descr

Modified: head/japanese/py-mecab/Makefile
==============================================================================
--- head/japanese/py-mecab/Makefile	Wed Mar 20 12:41:52 2013	(r314727)
+++ head/japanese/py-mecab/Makefile	Wed Mar 20 12:42:31 2013	(r314728)
@@ -1,18 +1,21 @@
-# New ports collection makefile for:    py-mecab
-# Date created:                         27 August 2007
-# Whom:                                 Junji NAKANISHI <jun-g@daemonfreaks.com>
-#
+# Created by: Junji NAKANISHI <jun-g@daemonfreaks.com>
 # $FreeBSD$
 
 PORTNAME=	mecab
-PORTVERSION=	0.994
+PORTVERSION=	0.995
 CATEGORIES=	japanese python textproc
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}-python-${PORTVERSION}
 
 MAINTAINER=	jun-g@daemonfreaks.com
 COMMENT=	Python bindings for MeCab
 
+LICENSE=	BSD GPLv2 LGPL21
+LICENSE_COMB=	dual
+LICENSE_FILE_BSD=	${WRKSRC}/BSD
+LICENSE_FILE_GPLv2=	${WRKSRC}/GPL
+LICENSE_FILE_LGPL21=	${WRKSRC}/LGPL
+
 BUILD_DEPENDS=	swig>=1.3:${PORTSDIR}/devel/swig13
 LIB_DEPENDS=	mecab:${PORTSDIR}/japanese/mecab
 

Modified: head/japanese/py-mecab/distinfo
==============================================================================
--- head/japanese/py-mecab/distinfo	Wed Mar 20 12:41:52 2013	(r314727)
+++ head/japanese/py-mecab/distinfo	Wed Mar 20 12:42:31 2013	(r314728)
@@ -1,2 +1,2 @@
-SHA256 (mecab-python-0.994.tar.gz) = 30d828c73f95492f91fc5f7770b3a40765e9e931afb8295f419109b32652f7ce
-SIZE (mecab-python-0.994.tar.gz) = 61978
+SHA256 (mecab-python-0.995.tar.gz) = 5babaa9e9d8025eadfe62770980f07b48e9e54107e64a80478b455568c45f5fd
+SIZE (mecab-python-0.995.tar.gz) = 62281

Modified: head/japanese/py-mecab/pkg-descr
==============================================================================
--- head/japanese/py-mecab/pkg-descr	Wed Mar 20 12:41:52 2013	(r314727)
+++ head/japanese/py-mecab/pkg-descr	Wed Mar 20 12:42:31 2013	(r314728)
@@ -1,3 +1,3 @@
 This is a python bindings for MeCab.
 
-WWW:    http://mecab.sourceforge.net/
+WWW: https://code.google.com/p/mecab/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 TAKATSU Tomonari freebsd_committer 2013-03-20 15:12:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!